Skip to content

Instantly share code, notes, and snippets.

Brian Dant briandant

Block or report user

Report or block briandant

Hide content and notifications from this user.

Learn more about blocking users

Contact Support about this user’s behavior.

Learn more about reporting abuse

Report abuse
View GitHub Profile
View Vagrantfile
Vagrant.require_version ">= 1.8.7"
unless Vagrant.has_plugin?("vagrant-vbguest")
raise "Please install the vagrant-vbguest plugin by running `vagrant plugin install vagrant-vbguest`"
end
VAGRANTFILE_API_VERSION = "2"
MEMORY = 4096
CPU_COUNT = 2
View ficusOutput.md

➜ ficus vagrant up Ignoring ffi-1.9.10 because its extensions are not built. Try: gem pristine ffi --version 1.9.10 Ignoring nokogiri-1.6.3.1 because its extensions are not built. Try: gem pristine nokogiri --version 1.6.3.1 Ignoring unf_ext-0.0.7.1 because its extensions are not built. Try: gem pristine unf_ext --version 0.0.7.1 Bringing machine 'default' up with 'virtualbox' provider... ==> default: Importing base box 'ficus-devstack-2017-02-07'... ==> default: Matching MAC address for NAT networking... ==> default: Setting the name of the VM: ficus_default_1507581667207_79795 ==> default: Clearing any previously set network interfaces... ==> default: Preparing network interfaces based on configuration...

View Dockerfile-1.gotty
FROM debian:jessie
MAINTAINER Stuart Peters <Stuart.Peters@intersystems.com>
# Arguments passed in
ARG FTP_FILE=ftp://kitserver/kits/unreleased_ftp/IPDTool/2018.1.0/2018.1.0.245.0/IPDTool-2018.1.0.245.0-unix.tar.gz
ARG KIT_DIR=IPDTool-2018.1.0.245.0-unix
ENV TERRAFORM_VER="0.9.4"
ENV DOCKER_VERSION="17.03.1-ce"
ENV INT_F_NAME IPDTool-2018.1.0.245.0-unix.tar.gz
View Dockerfile.iscicm
FROM openjdk:jre-slim
MAINTAINER Nick Woebcke <Nicholas.Woebcke@intersystems.com>
# Arguments passed in
ARG FTP_PATH
ARG KIT_DIR
ENV TERRAFORM_VER="0.9.4"
ENV DOCKER_VERSION="17.03.1-ce"
# Get basic dependencies
View Dockerfile
FROM lubars/isc-ipd:stable
MAINTAINER Stuart Peters <stuart.peters@intersystems.com>
RUN apk --update add build-base g++ make curl wget openssl-dev apache2-utils git libxml2-dev sshfs nodejs bash tmux curl
RUN rm -f /var/cache/apk/*\
# RUN go get github.com/yudai/gotty
RUN mkdir /gotty
WORKDIR /gotty
View launcherrsa.pub
sh-rsa AAAAB3NzaC1yc2EAAAADAQABAAABAQCpVhMnN/2SAWGiv+6YI1tbUIejLYtidIoO3d7COTNetTTVGzwgr0+HFVgFcUAkXYIiT5vAfEhryyUR4clfX71p+hlodL5+ktvR3x1y6JDVnXsDrO3ueR+SZd9N/JMw1PR1G3EhJ6PQ/cj1pqvS4rplsstXTccH3C+djOOaTaYGeVbRRg3bkSy2acZ5oN4dCzvXa//gdghs/6hz6qEm8D6/JwbYIq6kHj/rV2S4NR+RM51wRytnllaDXa4kGmiFODGH34rDzV1UjvFB4NcuREdudX9a3gwb0hLraPKe3tA7QBpmbme7QiEKvKTRx3JwPKeBrUlSPC2lwHYn8h9P+dLH chaz@MacBook-Pro.local
View keybase.md

Keybase proof

I hereby claim:

  • I am briandant on github.
  • I am briandant (https://keybase.io/briandant) on keybase.
  • I have a public key whose fingerprint is 668F 7D35 BEB2 F4E9 390A 3371 53E9 CDC0 ECF5 AD8E

To claim this, I am signing this object:

View 4.3.md

Okay, this release doesn't feel as awesome as the last one, but can you blame us? That was a pretty sweet release.

Improvements

A new staging cluster

We've made a new cluster for staging. This was critical because breaking ISC's staging server or Nate's demo server was getting kinda old. This server will receive automatic pushes from develop via Codeship.

Merge commit: https://github.com/appsembler/wharf/commit/3090192
Primary commit: https://github.com/appsembler/wharf/commit/ce2c07238c1a33623a5b4760ba6fd707d2dec327

View hideSlackSidebar.css
/* hide the sidebar */
#team_menu {display: none;}
#col_channels_bg {display: none;}
#col_channels {display: none;}
#messages_container {margin-left: 0;}
#messages-input-container {left: -160px;}
/* move the favouites star over */
#channel_header .star {
View nginxrepo.md
commit f231b69ab61f2a9d42d82ed425318f64cbe6d36c
Author: Brian Dant <briandant414@gmail.com>
Date:   Fri Aug 12 14:03:03 2016 -0700

    Remove the explicit declaration of Ubuntu codename.
    
    We're now relying on Ansible's `ansible_distribution_release`
    variable where we need to know the release we're using.
You can’t perform that action at this time.